import { z } from 'zod';

export const CreateReturnSchema = z
  .object({
    returnGroup: z.string().or(z.undefined()), // Wird gesetzt, wenn die Remission fortgesetzt wird nachdem man eine Wanne abgeschlossen hat
  })
  .transform((o) => ({ returnGroup: o.returnGroup })); // Um keine Optionalität zuzulassen

export type CreateReturn = z.infer<typeof CreateReturnSchema>;
